+++
title = "Comparison of some formats"
draft = true
insert_anchor_links = "left"

[extra]
hot = true
katex = true
+++

- [ ] comparison table
- [ ] markdown
  - [ ] math
  - [ ] exportability
  - [ ] programmability
- [ ] typst
  - [ ] math
  - [ ] exportability
  - [ ] programmability
- [ ] latex
  - [ ] math
  - [ ] exportability
  - [ ] programmability

| | Markdown | Typst | Latex |
| :--- | :---| :--- | :--- |
| Math support | only using latex| great | great with an enormous community behind it
| Exportability | 
| Programmability[^1]

[^1]: like plotting, etc.

## Markdown

## Typst

### Math support

<p>Typst</p>

In Typst we can plot using the `cetz` library like this:
```typst
#import "@preview/cetz:0.2.2"

#cetz.canvas({
  import cetz.draw: *
  import cetz.plot
  plot.plot(size: (10, 4), x-tick-step: 2, y-tick-step: 50, 
    {
      plot.add(domain: (-4, 4),
        x => (x,  calc.pow(x, 4) ),
        label: $f(x)=x^4$
      )
      plot.add(domain: (-5, 6.34),
        x => (x, calc.pow(x, 3)),
        label: $f(x)=x^3$
      )
      plot.add(domain: (-10, 10),
        x => (x, calc.pow(x, 2)),
        label: $f(x) = x^2$
      )
    })
})
```

Which leads to this:

<figure>
  {{image(url="https://files.catbox.moe/tplzsb.png")}}
  <!-- was generated using a bit from my `cetz.typ` out of my typst repo -->
  <figcaption>some standard functions</figcaption>
</figure>

## Latex

